## gpgme1.0 1.18.0

=== lang/python/examples/howto/advanced/cython/requirements.txt ===
cython

## gpgme1.0 1.1.6-2

=== debian/changelog ===
gpgme1.0 (1.1.6-2) unstable; urgency=medium

  * Bump shlibs info, as this version added some new symbols (Closes: #469534)
  * Urgency set to medium, as this package has yet transitioned to lenny.
  * debian/control: add Vcs-Browser info 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 08 Mar 2008 14:06:34 +0100

gpgme1.0 (1.1.6-1) unstable; urgency=low

  * New Upstream Version
  * debian/control:
    + Update Standards-Version to 3.7.3, no changes needed
    + Add Vcs-Git field

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 13 Jan 2008 23:59:49 +0100

gpgme1.0 (1.1.5-2) unstable; urgency=low

  * Add dependency on libpth-dev to libgpgme11-dev package (Closes: #440265)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 01 Sep 2007 10:39:50 +0200

gpgme1.0 (1.1.5-1) unstable; urgency=low

  * New upstream version (Closes: #434800)
  * Use binary:Version to make the package bin-NMU safe. (Closes: #432935)
  * As we bumped debhelper compat level to 5, we have to build-depend on a
    debhelper >= 5.0.0
  * Compile always with libpth20 support. (Closes: #432635)
  * 10_relibtoolize patch disabled. Should not fail when building twice in a
    row (Closes: #424365) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 15 Jul 2007 21:53:17 +0200

gpgme1.0 (1.1.4-1) unstable; urgency=low

  * New upstream version
     + multiple_messages.dpatch: disabled, applied upstream
  * Bump debhelper compat level to 5. Disable line setting it in debian/rules
    file, which conflicts with debian/compat
  * Call distclean target only if Makefile exists, and don't ignore other
    errors.
  * Use ${source:Version}. Make the package bin-NMU safe.
  * Bump Standards-Version to 3.7.2. No changes needed.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 08 Jul 2007 21:48:34 +0200

gpgme1.0 (1.1.2-5) unstable; urgency=low

  * The "I need more sleep" release
  * Roll back some stuff of latest two versions as are not suitable for etch:
    + 10_relibtoolize: roll back to 1.1.2-2 version and disable
    + debian/control: do not build depend on libpth-dev
    + debian/rules: we should still use compat version 3 to avoid unexpected
    changes in how the package is built.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 22 Mar 2007 23:30:24 +0100

gpgme1.0 (1.1.2-4) unstable; urgency=low

  * Build Depend on libpth-dev, as some arches are not building the package
    without it (Closes: #415233) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 18 Mar 2007 01:24:14 +0100

gpgme1.0 (1.1.2-3) unstable; urgency=high

  * Urgency high due to security bug.
  * multiple_messages.dpatch: new, includes patch for multiple messages
    problem in GnuPG (Closes: #413923)
  * debian/control: depend on gnupg >= 1.4.6-2, as it is patched for the above
    bug as well.
  * debian/rules: don't use DH_COMPAT var, as we are using compat file

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 17 Mar 2007 00:52:16 +0100

gpgme1.0 (1.1.2-2) unstable; urgency=low

  * deian/patches:
     + gpgme-config: Fix gpgme-config as incidentally pthread
       support was removed. (Closes: #358303)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 15 Apr 2006 12:00:20 +0200

gpgme1.0 (1.1.2-1) unstable; urgency=low

  * New upstream version. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  4 Mar 2006 16:03:24 +0100

gpgme1.0 (1.1.0-1) unstable; urgency=low

  * New upstream version. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  8 Oct 2005 14:26:01 +0200

gpgme1.0 (1.0.3-1) unstable; urgency=low

  * New upstream version (Closes: #327357)
     + Break fd processing after an error. (Closes: #301432)
  * Suggest gpgsm (Closes: #281261)
  * Bumped Standards-Version to 3.6.2. No changes needed.
  * Updated FSF address.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 17 Sep 2005 00:09:49 +0200

gpgme1.0 (1.0.2-1) unstable; urgency=low

  * New upstream version.
  * copyright: This library is now licensed under LGPL.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 15 Jan 2005 15:14:12 +0100

gpgme1.0 (1.0.1-2) unstable; urgency=low

  * debian/rules:
     + Bumped shlibs to 1.0.1, as this package exposes new symbols that could
       be started to be used by programs, making them incompatible with older
       libraries.

  * Yay! I forgot to close the "new release" bug. (Closes: #274357) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 16 Nov 2004 21:36:40 +0100

gpgme1.0 (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
     + Set a default path for gpgsm. This will enable it if present at run
     time.
  * debian/docs:
     + There is no README-alpha file now.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 23 Oct 2004 11:16:09 +0200

gpgme1.0 (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/rules:
      + Changed source package name to gpgme1.0, as we still need to keep in the
        archive the old 0.3.x versions.
  * debian/README.Debian: removed.
  * debian/patches:
      + 10_relibtoolize: updated (and disabled)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 30 Sep 2004 19:03:03 +0200

gpgme0.4 (0.9.0-1) unstable; urgency=low

  * New upstream version.
    - Version has been bumped to 0.9.0, but for now tha package will be called
    gpgme0.4 as habitual for this branch.
  * debian/control: removed not needed texinfo build-dependency.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 19 Jun 2004 14:31:02 +0200

gpgme0.4 (0.4.7-1) unstable; urgency=low

  * New upstream version.
  * debian/rules && debian/control: using dpatch now
  * debian/patches:
     + 10_relibtoolize.dpatch: new (For #242950)
  * debian/rules:
     + Added missing --enable-static to configure call.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 23 May 2004 22:33:41 +0200

gpgme0.4 (0.4.6-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:


=== debian/control ===
Source: gpgme1.0
Priority: optional
Section: libdevel
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Build-Depends: debhelper (>> 5.0.0), libgpg-error-dev (>= 0.7-1), dpatch (>= 1.11), libpth-dev
Standards-Version: 3.7.3
Vcs-Git: git://git.debian.org/git/users/jsogo/gpgme1.0.git
Vcs-Browser: http://git.debian.org/git/users/jsogo/gpgme1.0.git

Package: libgpgme11-dev
Section: libdevel
Architecture: any
Depends: libgpgme11 (= ${binary:Version}), libc6-dev, libgpg-error-dev, libpth-dev
Conflicts: libgpgme-dev, libgpgme10-dev
Description: GPGME - GnuPG Made Easy
 GPGME is a wrapper library which provides a C API to access some of the 
 GnuPG functions, such as encrypt, decrypt, sign, verify, ...
 .
  This package contains the headers and other files needed to compile 
 against this library.

Package: libgpgme11
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, gnupg (>= 1.4.6-2)
Suggests: gpgsm
Description: GPGME - GnuPG Made Easy
 GPGME is a wrapper library which provides a C API to access some of the 
 GnuPG functions, such as encrypt, decrypt, sign, verify, ...

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=3

# C compiler information
CC              = gcc
CFLAGS          = -Wall -g

INSTALL         = install

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL += -s
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif
    

version=`ls gpgme/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls gpgme/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

include /usr/share/dpatch/dpatch.make
PACKAGE=gpgme1.0

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir

	./configure $(confflags) \
	        --enable-static \
	        --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
		--with-gpg=/usr/bin/gpg \
		--with-gpgsm=/usr/bin/gpgsm

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	
	rm -f tests/gpg/*.gpg

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/

binary-indep: build

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdocs
	dh_installman
	dh_installinfo
	dh_installchangelogs gpgme/ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V 'libgpgme11 (>= 1.1.6)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gpgme1.0 1.1.6-3

=== debian/changelog ===
gpgme1.0 (1.1.6-3) unstable; urgency=medium

  * Build for chinook

 -- Colin Leroy <colin@colino.net>  Thu, 08 Jan 2009 09:31:00 +0100

## gpgme1.0 1.4.2

=== debian/changelog ===
gpgme1.0 (1.4.2-0.1ubuntu3) saucy; urgency=low

  * debian/rules: Switch back to using /usr/bin/gpg and add back gnupg build
    dependency, as we don't install gnupg2 by default. This was missing in the
    previous upload, and unbreaks nautilus-dropbox, seahorse, bzr, and other
    libgpgme consumers. (LP: #1196253)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Jul 2013 10:34:24 +0200

gpgme1.0 (1.4.2-0.1ubuntu2) saucy; urgency=low

  * debian/control: Depends on "gnupg | gnupg2" rather than gnupg2,
    default to the old version since the new one depends on gpg-agent, 
    pinentry-gtk2, and a bunch of other packages we don't need/want in the
    default installation (lp: #1194164)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Jun 2013 17:39:29 +0200

gpgme1.0 (1.4.2-0.1ubuntu1) saucy; urgency=low

  * debian/control: don't depends on dirmngr, it's not required

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Jun 2013 18:37:40 +0200

gpgme1.0 (1.4.2-0.1) unstable; urgency=low

  * NMU
  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 29 May 2013 18:33:42 +0200

gpgme1.0 (1.4.1-0.1) unstable; urgency=low

  * NMU
  * New upstream version (closes: #570804).
    - Increases size of notify_table to MAX_SLAFD (closes: #513907).
    - Tests are compatible with newer gnupg versions (closes: #699245).
  * debian/compat: Raised compatibility level to 9.
  * debian/control: Enable multiarch support (closes: #698970).
    (Priority): Raised to standard (closes: #623353).
    (Section): Changed to libs. Fixed binary-control-field-duplicates-source.
    (Standards-Version): Bumped to 3.9.4.
    (Vcs-Git, Vcs-Browser): Adjusted to point to svn tree (closes: #610737).
    (Build-Depends, Depends): Added new dependencies including libassuan-dev.
    Fixed debhelper-but-no-misc-depends. Dropped dpatch and obsolete
    libpth-dev. Replaced gnupg by gnupg2.
    (Description): Fixed several lintian hints.
  * debian/copyright: Fixed copyright-refers-to-versionless-license-file.
  * debian/gpgme-config.1: Fixed a few errors/warnings. Updated.
  * debian/libgpgme11.files: Renamed to debian/libgpgme11.install, adjusted.
  * debian/libgpgme11-dev.files: Likewise. Dropped .la (LP: #728497).
  * debian/libgpgme11.dirs, debian/libgpgme11-dev.dirs: Dropped useless files.
  * debian/libgpgme11-dev.info: Ditto.
  * debian/libgpgme11-dev.doc-base (Section): Fixed.
  * debian/libgpgme11.symbols: Updated. Removed symbols of libgpgme-pth.so.11.
  * debian/rules: Complete rewrite for debhelper. Enabled hardening and
    checks (closes: #515800). Set path to gnupg2 binaries (closes: #563623).
  * debian/watch: Added (closes: #570802).
  * debian/patches/ld-no-add-needed.patch: Dropped (not necessary).
  * debian/patches/gpgme-config.dpatch: Dropped (merged upstream).
  * debian/patches/10_relibtoolize.dpatch: Dropped.
  * debian/patches/00list: Ditto.
  * debian/source/format: Changed to dpkg-source-v3/quilt (closes: #699247).

 -- Daniel Leidert <dleidert@debian.org>  Tue, 14 May 2013 20:29:20 +0200

gpgme1.0 (1.2.0-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #619218).

 -- Luk Claes <luk@debian.org>  Sun, 29 May 2011 23:04:40 +0200

gpgme1.0 (1.2.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add ld-no-add-needed.dpatch from Matthias Klose to fix FTBFS
    (Closes: #554735) (Closes: #616682), thanks!

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 01 May 2011 16:12:11 +0000

gpgme1.0 (1.2.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Enable support for gpgconf (Closes: #510567)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 02 Dec 2009 11:17:17 +0100

gpgme1.0 (1.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not ship with /usr/share/info/dir.gz (Closes: 546015)
  * do not claim in debian/rules configure-stamp can be run parallel
    with build-stamp (Closes: 551783)
  * update symbols file for 1.2.0

 -- Bernhard R. Link <brlink@debian.org>  Mon, 02 Nov 2009 14:16:57 +0100

gpgme1.0 (1.2.0-1) unstable; urgency=low

  * New Upstream Version (Closes: #545671)
  * As there are new symbols introduced in this version, bump shlibs info. 
  * Bump Standards-Version to 3.8.3, no changes. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 08 Sep 2009 14:30:11 +0200

gpgme1.0 (1.1.8-3) unstable; urgency=low

  * Add libgpgme11.symbols file as provided by Bernhard R. Link 
    <brlink@debian.org>, adressing the problem caused by 1.1.8-2 by bumping
    shlibs info as a new symbol was added (Closes: #512221)
  * Change section of doc-base from Apps/programming to Programming/C (and make
    lintian happy) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 20 Jan 2009 23:58:45 +0100

gpgme1.0 (1.1.8-2) unstable; urgency=low

  * New symbol introduced in version 1.1.7; bumped shlibs info (Closes: #510796)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 12 Jan 2009 23:13:23 +0100

gpgme1.0 (1.1.8-1) unstable; urgency=low

  * New Upstream Version
    + Close file descriptors leaked on seahorse-agent (Closes: #492551)
    + Pthread support is back again.
  * debian/patches:
    + Disabled gpgme-config patch as it is now included upstream. 
  * Upstream changelog was moved to src/, change dh_intallchangelog call 
    for it to get it from new location. 
  * Bump Standards-Version to 3.8.0 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 25 Dec 2008 14:16:26 +0100

=== debian/control ===
Source: gpgme1.0
Priority: standard
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Build-Depends: autotools-dev (>> 20100122.1~),
               debhelper (>> 9~),
               gnupg-agent,
               gnupg,
               gnupg2,
               gpgsm,
               libassuan-dev (>> 2.0.2),
               libgpg-error-dev (>> 1.8),
               scdaemon
Standards-Version: 3.9.4
Homepage: http://www.gnupg.org/gpgme.html
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnupg/gpgme/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnupg/gpgme/trunk/

Package: libgpgme11-dev
Section: libdevel
Architecture: any
Depends: libassuan-dev,
         libc6-dev,
         libgpg-error-dev,
         libgpgme11 (= ${binary:Version}),
         libpth-dev,
         ${misc:Depends}
Conflicts: libgpgme-dev, libgpgme10-dev
Description: GPGME - GnuPG Made Easy (development files)
 GPGME is a wrapper library which provides a C API to access some of the
 GnuPG functions, such as encrypt, decrypt, sign, verify, ...
 .
 This package contains the headers and other files needed to compile
 against this library.

Package: libgpgme11
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gnupg (>= 1.4.6-2) | gnupg2 (>> 2.0.4), ${misc:Depends}, ${shlibs:Depends}
Suggests: gpgsm (>> 1.9.6)
Description: GPGME - GnuPG Made Easy (library)
 GPGME is a wrapper library which provides a C API to access some of the
 GnuPG functions, such as encrypt, decrypt, sign, verify, ...
 .
 This package contains the library.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with autotools-dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    --enable-static \
	    --disable-fd-passing \
	    --infodir=/usr/share/info \
	    --with-gpg=/usr/bin/gpg \
	    --with-gpgsm=/usr/bin/gpgsm \
	    --with-gpgconf=/usr/bin/gpgconf

override_dh_install:
	dh_install --list-missing -X.la -Xinfo/dir

override_dh_installdocs:
	dh_installdocs -A

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_clean:
	dh_clean tests/gpg/*.gpg

## gpgme1.0 1.4.3

=== debian/changelog ===
gpgme1.0 (1.4.3-0.1ubuntu5.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via different line lengths
    - debian/patches/CVE-2014-3564.patch: correctly calculate size of
      buffers in src/engine-gpgsm.c, src/engine-uiserver.c.
    - CVE-2014-3564

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 01 Aug 2014 08:50:59 -0400

gpgme1.0 (1.4.3-0.1ubuntu5) trusty; urgency=medium

  * Fix build failure by running the tests without parallelization.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 09 Apr 2014 17:03:33 +0200

gpgme1.0 (1.4.3-0.1ubuntu4) trusty; urgency=medium

  * Re-enable support for gpgsm and gpgconf. (LP: #1293704)
  * Disable test that checks if the backend exectuable is the configured one.
    gpgme prefers gpg2 when installed but is configured to use gpg which
    causes a mismatch in the test.
    - Add test_engine_ignore_filename.diff

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 04 Apr 2014 18:58:01 +0200

gpgme1.0 (1.4.3-0.1ubuntu3) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Dec 2013 11:36:15 +0100

gpgme1.0 (1.4.3-0.1ubuntu2) trusty; urgency=low

  * More thoroughly switch to gpg 1, the new version now determines the
    protocol more dynamically: Drop gpgsm (that's from GnuPG2) and gnupg2
    build deps, and correspondingly drop --with-gpgsm and --with-gpgconf.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Oct 2013 11:42:35 +0200

gpgme1.0 (1.4.3-0.1ubuntu1) trusty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/rules: Switch back to using /usr/bin/gpg and add back gnupg build
      dependency, as we don't install gnupg2 by default. 
    - debian/control: Depends on "gnupg | gnupg2" rather than gnupg2,
      default to the old version since the new one depends on gpg-agent, 
      pinentry-gtk2, and a bunch of other packages we don't need/want in the
      default installation

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 23 Oct 2013 18:01:04 +1100

gpgme1.0 (1.4.3-0.1) unstable; urgency=low

  * NMU
  * New upstream release.
  * debian/control (Build-Depends): Dropped dirmngr (closes: #712813). It is
    not necessary for the build.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/libgpgme11.symbols: Updated symbols file.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 12 Aug 2013 22:33:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
-Build-Depends: autotools-dev (>> 20100122.1~),
+Build-Depends: autotools-dev (>> 20100122.1~), dh-autoreconf,
                debhelper (>> 9~),
                gnupg-agent,
                gnupg,
@@ -14,8 +14,8 @@
                scdaemon
 Standards-Version: 3.9.4
 Homepage: http://www.gnupg.org/gpgme.html
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnupg/gpgme/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnupg/gpgme/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnupg/gpgme/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnupg/gpgme/trunk/
 
 Package: libgpgme11-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@ --with autotools-dev --parallel
+	dh $@ --with autoreconf --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -17,6 +17,9 @@
 	    --with-gpg=/usr/bin/gpg \
 	    --with-gpgsm=/usr/bin/gpgsm \
 	    --with-gpgconf=/usr/bin/gpgconf
+
+override_dh_auto_test:
+	dh_auto_test --max-parallel=1
 
 override_dh_install:
 	dh_install --list-missing -X.la -Xinfo/dir

=== debian/watch ===
version=3
opts=pasv ftp://ftp.gnupg.org/gcrypt/gpgme/gpgme-([\d.]+)\.tar\.bz2

## gpgme1.0 1.5.1

=== debian/changelog ===
gpgme1.0 (1.5.1-6ubuntu1) vivid; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - debian/rules: Switch back to using /usr/bin/gpg and add back gnupg
      build dependency, as we don't install gnupg2 by default. 
    - debian/control: Depends on "gnupg | gnupg2" rather than gnupg2,
      default to the old version since the new one depends on gpg-agent,
      pinentry-gtk2, and a bunch of other packages we don't need/want in
      the default installation
  * Dropped changes:
    - debian/patches/CVE-2014-3564.patch: upstream
    - debian/patches/test_engine_ignore_filename.diff: upstream
    - debian/rules: Fix build failure by running the tests without
      parallelization: handled in Debian by using newer automake

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Oct 2014 10:54:12 -0400

gpgme1.0 (1.5.1-6) unstable; urgency=medium

  * corrected Vcs-Browser
  * ensure the same aclocal is used as automake (Closes: #762553)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 23 Sep 2014 11:57:09 -0400

gpgme1.0 (1.5.1-5) unstable; urgency=medium

  * require automake1.11 to try to avoid test failures during parallelized
    build. (Thanks, NIIBE Yutaka)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Sep 2014 00:27:48 -0400

gpgme1.0 (1.5.1-4) unstable; urgency=medium

  * add texinfo to build-depends to deal with the modified .texi

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 07 Sep 2014 01:15:34 -0400

gpgme1.0 (1.5.1-3) unstable; urgency=medium

  * switch from autotools-dev to dh-autoreconf (Closes: #752831)
  * patch doc/gpl.texi to avoid complaints during rebuild

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Sep 2014 17:20:32 -0400

gpgme1.0 (1.5.1-2) unstable; urgency=medium

  * wrap-and-sort for cleaner revision tracking
  * move to git

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 30 Aug 2014 13:06:55 -0700

gpgme1.0 (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * placing package under team maintenance after discussion with Jose
    Carlos Garcia Sogo on #752683.  Thanks Jose!

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 04 Aug 2014 16:45:58 -0400

gpgme1.0 (1.5.0-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #748096, #752683)
  * check upstream signatures (Closes: #752675)
  * bumped Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 25 Jun 2014 10:27:37 -0400

gpgme1.0 (1.4.3-0.1ubuntu6) utopic; urgency=medium

  * SECURITY UPDATE: denial of service via different line lengths
    - debian/patches/CVE-2014-3564.patch: correctly calculate size of
      buffers in src/engine-gpgsm.c, src/engine-uiserver.c.
    - CVE-2014-3564

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 01 Aug 2014 08:47:42 -0400

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,24 @@
 Priority: standard
 Section: libs
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
-Build-Depends: autotools-dev (>> 20100122.1~), dh-autoreconf,
+XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
+Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>,
+           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Build-Depends: automake1.11,
                debhelper (>> 9~),
+               dh-autoreconf,
                gnupg-agent,
                gnupg,
                gnupg2,
                gpgsm,
                libassuan-dev (>> 2.0.2),
                libgpg-error-dev (>> 1.8),
-               scdaemon
-Standards-Version: 3.9.4
+               scdaemon,
+               texinfo
+Standards-Version: 3.9.5
 Homepage: http://www.gnupg.org/gpgme.html
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnupg/gpgme/trunk/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnupg/gpgme/trunk/
+Vcs-Git: git://anonscm.debian.org/pkg-gnupg/gpgme.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnupg/gpgme.git
 
 Package: libgpgme11-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
 export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
+export AUTOMAKE = automake-1.11
+export ACLOCAL  = aclocal-1.11
 
 %:
 	dh $@ --with autoreconf --parallel
@@ -18,9 +20,6 @@
 	    --with-gpgsm=/usr/bin/gpgsm \
 	    --with-gpgconf=/usr/bin/gpgconf
 
-override_dh_auto_test:
-	dh_auto_test --max-parallel=1
-
 override_dh_install:
 	dh_install --list-missing -X.la -Xinfo/dir

## gpgme1.0 1.5.5

=== debian/changelog ===
gpgme1.0 (1.5.5-3ubuntu1) wily; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - debian/rules: Switch back to using /usr/bin/gpg and add back gnupg
      build dependency, as we don't install gnupg2 by default. 
    - debian/control: Depends on "gnupg | gnupg2" rather than gnupg2,
      default to the old version since the new one depends on gpg-agent,
      pinentry-gtk2, and a bunch of other packages we don't need/want in
      the default installation

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 06 Aug 2015 06:16:55 +1000

gpgme1.0 (1.5.5-3) unstable; urgency=medium

  * reproducibility: remove BUILD_TIMESTAMP

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 08 Jul 2015 13:18:46 -0400

gpgme1.0 (1.5.5-2) unstable; urgency=medium

  * use installed libgpgme to get help2man to work on minimal build
    systems.  Thanks, James Cowgill! (Closes: #789042)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 17 Jun 2015 08:21:10 -0400

gpgme1.0 (1.5.5-1) unstable; urgency=medium

  * new upstream version
  * ship /usr/bin/gpgme-tool in the -dev package.
  * enable file descriptor passing
  * use autoreconf

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 11 Jun 2015 18:18:30 -0400

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,20 @@
 XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Build-Depends: automake1.11,
+Build-Depends: automake (>= 1.14),
                debhelper (>> 9~),
                dh-autoreconf,
                gnupg-agent,
                gnupg,
                gnupg2,
                gpgsm,
+               help2man,
                libassuan-dev (>> 2.0.2),
                libgpg-error-dev (>> 1.8),
                scdaemon,
                texinfo
-Standards-Version: 3.9.5
-Homepage: http://www.gnupg.org/gpgme.html
+Standards-Version: 3.9.6
+Homepage: https://www.gnupg.org/related_software/gpgme/
 Vcs-Git: git://anonscm.debian.org/pkg-gnupg/gpgme.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnupg/gpgme.git
 
@@ -28,7 +29,6 @@
          libc6-dev,
          libgpg-error-dev,
          libgpgme11 (= ${binary:Version}),
-         libpth-dev,
          ${misc:Depends}
 Conflicts: libgpgme-dev, libgpgme10-dev
 Description: GPGME - GnuPG Made Easy (development files)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    --enable-static \
	    --infodir=/usr/share/info \
	    --with-gpg=/usr/bin/gpg \
	    --with-gpgsm=/usr/bin/gpgsm \
	    --with-gpgconf=/usr/bin/gpgconf

override_dh_install:
	dh_install --list-missing -X.la -Xinfo/dir

override_dh_installdocs:
	help2man -o debian/gpgme-tool.1 -n 'Assuan server exposing GnuPG Made Easy operations' src/gpgme-tool
	dh_installdocs -A

override_dh_makeshlibs:
	dh_makeshlibs -V

## gpgme1.0 1.6.0

=== debian/changelog ===
gpgme1.0 (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 17 Sep 2015 03:40:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: gpgme1.0
 Priority: standard
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: automake (>= 1.14),
                debhelper (>> 9~),
                dh-autoreconf,
                gnupg-agent,
-               gnupg,
                gnupg2,
                gpgsm,
                help2man,
@@ -42,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: gnupg (>= 1.4.6-2) | gnupg2 (>> 2.0.4), ${misc:Depends}, ${shlibs:Depends}
+Depends: gnupg2 (>> 2.0.4), ${misc:Depends}, ${shlibs:Depends}
 Suggests: gpgsm (>> 1.9.6)
 Description: GPGME - GnuPG Made Easy (library)
  GPGME is a wrapper library which provides a C API to access some of the

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    --enable-static \
-	    --infodir=/usr/share/info \
-	    --with-gpg=/usr/bin/gpg \
-	    --with-gpgsm=/usr/bin/gpgsm \
-	    --with-gpgconf=/usr/bin/gpgconf
+	    --infodir=/usr/share/info
 
 override_dh_install:
 	dh_install --list-missing -X.la -Xinfo/dir

=== debian/watch ===
version=3
opts=pasv,pgpsigurlmangle=s/$/.sig/ ftp://ftp.gnupg.org/gcrypt/gpgme/gpgme-([\d.]+)\.tar\.bz2

## gpgme1.0 1.8.0

=== debian/changelog ===
gpgme1.0 (1.8.0-3) unstable; urgency=medium

  * Reduce priority of most packages (closes: #845803)
  * added versioned Provides for libgpgme11-dev to ease transition

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 06 Dec 2016 10:28:24 -0500

gpgme1.0 (1.8.0-2) unstable; urgency=medium

  * pull a cleanup patch from upstream
  * move to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 23 Nov 2016 01:39:59 -0500

gpgme1.0 (1.8.0-1) experimental; urgency=medium

  * new upstream release
   - drops gpgme-pthread variant (we replace .so with symlink)
   - moves python binding name from "pyme" to "gpg"
  * no need for pasv in debian/watch
  * filter another auto-generated file at import-orig
  * re-enable pie, it is needed to build Qt properly now
  * avoid installing python bytecode and unnecessary package metadata
  * update build-dep gpg-error version requirements to track configure.ac
  * add new symbols
  * drop C++ and QT .symbols files, do only strict versioning.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 18 Nov 2016 19:15:37 -0500

gpgme1.0 (1.7.1-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add pkgkde-symbolshelper to handle c++ bindings
  * consolidate main dh rule

  [ Daniel Kahn Gillmor ]
  * libgpgmepp-dev Breaks+Replaces: kdepimlibs5 (Closes: #842061)
  * convert C++ symbols files to something readable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Nov 2016 04:24:29 -0400

gpgme1.0 (1.7.1-2) experimental; urgency=medium

  * more general cleanup of upstream tarball in debian/gbp.conf
  * ensure that source version makes it through to python-pyme-dbgsym

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 25 Oct 2016 12:21:41 -0400

gpgme1.0 (1.7.1-1) experimental; urgency=medium

  * new upstream release.
   - change from libqgpgme6 to libqgpgme7

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 20 Oct 2016 00:06:13 -0400

gpgme1.0 (1.7.0-5) experimental; urgency=medium

  * apply debian patches ahead of upstream patches.
  * more fixes from upstream for 32-bit platforms

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 14 Oct 2016 21:36:25 -0400

gpgme1.0 (1.7.0-4) experimental; urgency=medium

  * avoid failures on 32-bit platforms (along with more
    upsteam python fixes)
  * avoid shipping unready pdf documentation
  * ensure that python-pyme-dbgsym has the right versioning

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 14 Oct 2016 16:28:30 -0400

gpgme1.0 (1.7.0-3) experimental; urgency=medium

  * improve dependencies for libgpgmepp-dev package
  * fix Vcs-Browser link
  * fix debian/watch
  * Add an epoch to python-pyme
  * ship documentation as well in an arch:all package
  * avoid irreproducible documentation

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Oct 2016 18:46:16 -0400

gpgme1.0 (1.7.0-2) experimental; urgency=medium

  [ Daniel Kahn Gillmor ]
  * avoid -pie since it conflicts with -fpic when building
  * add python3-pyme and python-pyme binary packages
  * clean up autogenerated files
  * bump to debhelper 10
  * rename binary package from libgpgme11-dev to libgpgme-dev

  [ Sandro Knauß ]
  * Enable cpp and qt lang support

  [ Daniel Kahn Gillmor ]
  * avoid lintian warnings about executable cmake files
  * prepare new libgpgmepp-dev package

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Oct 2016 07:28:59 -0400

gpgme1.0 (1.7.0-1) unstable; urgency=medium

  * new upstream release
    - avoid building language bindings until we have C available
    - add new symbols
  * use https for debian/watch
  * hand-write gpg-tool(1) rather than relying on help2man
  * improvements in gpgme-config(1)
  * updated debian/copyright to DEP5
  * use hardening flags

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 Sep 2016 17:18:21 -0400

gpgme1.0 (1.6.0-3) unstable; urgency=medium

  * change order of gnupg2 | gnupg (>= 2) build-dep so that sbuild is OK
    (while gnupg (>= 2) is still only in experimental).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 20 Apr 2016 08:36:10 -0400

gpgme1.0 (1.6.0-2) unstable; urgency=medium

  * updated debian/watch to version 4
  * depend on gnupg from version 2 or later, instead of gnupg2
  * bumped Standards-Version to 3.9.8 (no changes needed)
  * updated Vcs-* fields

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 19 Apr 2016 17:34:59 -0400

=== debian/control ===
Source: gpgme1.0
Priority: optional
Section: libs
Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Uploaders:
 Jose Carlos Garcia Sogo <jsogo@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 automake (>= 1.14),
 debhelper (>= 10~),
 dh-autoreconf,
 dh-exec,
 dh-python,
 gnupg-agent,
 gnupg2 | gnupg (>= 2),
 gpgsm,
 libassuan-dev (>> 2.0.2),
 libgpg-error-dev (>> 1.17),
 pkg-config,
 python-all-dev,
 python3-all-dev,
 qtbase5-dev,
 scdaemon,
 swig,
 texinfo,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 3.9.8
Homepage: https://www.gnupg.org/related_software/gpgme/
Vcs-Git: https://anonscm.debian.org/git/pkg-gnupg/gpgme.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnupg/gpgme.git

Package: libgpgme-dev
Section: libdevel
Priority: extra
Architecture: any
Depends:
 libassuan-dev,
 libc6-dev,
 libgpg-error-dev,
 libgpgme11 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libgpgme11-dev,
Replaces:
 libgpgme11-dev,
Provides:
 libgpgme11-dev (= ${binary:Version}),
Description: GPGME - GnuPG Made Easy (development files)
 GPGME is a wrapper library which provides a C API to access some of the
 GnuPG functions, such as encrypt, decrypt, sign, verify, ...
 .
 This package contains the headers and other files needed to compile
 against this library.

Package: libgpgme11
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gnupg (>> 2) | gnupg2 (>> 2.0.4),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gpgsm (>> 1.9.6),
Description: GPGME - GnuPG Made Easy (library)
 GPGME is a wrapper library which provides a C API to access some of the
 GnuPG functions, such as encrypt, decrypt, sign, verify, ...
 .
 This package contains the library.

Package: python3-gpg
Architecture: any
Section: python
Provides:
 ${python3:Provides},
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python interface to the GPGME GnuPG encryption library (Python 3)
 The "gpg" Python module is, for the most part, a direct interface to
 the C GPGME library.  However, it is re-packaged in a more Pythonic
 way -- object-oriented with classes and modules.  Take a look at the
 classes defined here -- they correspond directly to certain object
 types in GPGME for C.
 .
 Features:
  * Feature-rich, full implementation of the GPGME library. Supports
    all GPGME features except interactive editing (coming soon).
    Callback functions may be written in pure Python.
  * Ability to sign, encrypt, decrypt, and verify data.
  * Ability to list keys, export and import keys, and manage the keyring.
  * Fully object-oriented with convenient classes and modules.
 .
 This is the official upstream Python 3 binding for GPGME.

Package: python-gpg
Architecture: any
Section: python
Provides:
 ${python:Provides},
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Python interface to the GPGME GnuPG encryption library (Python 2)
 The "gpg" Python module is, for the most part, a direct interface to
 the C GPGME library.  However, it is re-packaged in a more Pythonic
 way -- object-oriented with classes and modules.  Take a look at the
 classes defined here -- they correspond directly to certain object
 types in GPGME for C.
 .
 Features:
  * Feature-rich, full implementation of the GPGME library. Supports
    all GPGME features except interactive editing (coming soon).
    Callback functions may be written in pure Python.
  * Ability to sign, encrypt, decrypt, and verify data.
  * Ability to list keys, export and import keys, and manage the keyring.
  * Fully object-oriented with convenient classes and modules.
 .
 This is the official upstream Python 2 binding for GPGME.

Package: libqgpgme7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for GPGME integration with Qt
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This is the official upstream Qt binding for GPGME.

Package: libgpgmepp6
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ wrapper library for GPGME
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 This is the official upstream C++ binding for GPGME.

Package: libgpgmepp-dev
Section: libdevel
Priority: extra
Architecture: any
Depends:
 libgpgmepp6 (= ${binary:Version}),
 libqgpgme7 (= ${binary:Version}),
 qtbase5-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libgpgmepp-doc (= ${binary:Version}),
Breaks:
 kdepimlibs5-dev
Replaces:
 kdepimlibs5-dev
Description: C++ and Qt bindings for GPGME (development files)
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This package contains the headers and other files needed to compile
 against either of these libraries.

Package: libgpgmepp-doc
Section: doc
Priority: extra
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 libgpgmepp-dev,
Description: C++ and Qt bindings for GPGME (documentation for developers)
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This package contains documentation for developers describing how to
 use these packages.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := qt5
export DEBIAN_VERSION = $(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/.*: //p')

%:
	dh $@ --with autoreconf,python2,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    --enable-static \
	    --enable-languages="python cpp qt" \
	    --infodir=/usr/share/info

override_dh_install:
	dh_install --list-missing -X.la -Xinfo/dir -X.pyc -Xinstall_files.txt -X__pycache__

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_installdocs:
	dh_installdocs -X.md5
